
QGIS Application - Bug report #9035

Compiling fails on Arch Linux for python_module_qgis_gui

2013-11-08 11:23 AM - Donovan Cameron

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 17690

Description

I've applied the patches from these two related issues:

    -  #8507

    -  #8601

This ticket is closely related to #8826 but the solution there is to disable python bindings which I'd like to avoid doing.

Here's what cmake found before the build and the resulting error  is just after.

==> Starting build()...

patching file src/core/qgsmaplayerregistry.h

patching file src/gui/qgsattributedialog.h

patching file src/gui/qgsmapcanvas.h

patching file src/gui/qgsmessagelogviewer.h

patching file python/gui/qgsfieldvalidator.sip

-- The C compiler identification is GNU 4.8.2

-- The CXX compiler identification is GNU 4.8.2

-- Check for working C compiler: /usr/local/bin/cc

-- Check for working C compiler: /usr/local/bin/cc -- works

-- Detecting C compiler ABI info

-- Detecting C compiler ABI info - done

-- Check for working CXX compiler: /usr/local/bin/g++

-- Check for working CXX compiler: /usr/local/bin/g++ -- works

-- Detecting CXX compiler ABI info

-- Detecting CXX compiler ABI info - done

-- QGIS version: 2.0.1 Dufour (20001)

-- Found GRASS: /opt/grass (6.4.3)

-- Looking for openpty

-- Looking for openpty - not found

-- Looking for openpty

-- Looking for openpty - found

-- Found Proj: /usr/lib64/libproj.so

-- Found GEOS: /usr/lib/libgeos_c.so

-- Found GDAL: /usr/lib/libgdal.so (1.10.1)

-- Found Expat: /lib64/libexpat.so

-- Found Spatialindex: /usr/lib64/libspatialindex.so

-- Found Qwt: /usr/lib64/libqwt.so (6.0.2)

-- Found Sqlite3: /usr/lib64/libsqlite3.so

-- Found PostgreSQL: /usr/lib/libpq.so

-- Found SpatiaLite: /usr/lib64/libspatialite.so

-- Looking for gaiaDropTable in /usr/lib64/libspatialite.so
-- Looking for gaiaDropTable in /usr/lib64/libspatialite.so - found

-- Looking for Q_WS_X11

-- Looking for Q_WS_X11 - found

-- Looking for Q_WS_WIN

-- Looking for Q_WS_WIN - not found

-- Looking for Q_WS_QWS

-- Looking for Q_WS_QWS - not found

-- Looking for Q_WS_MAC

-- Looking for Q_WS_MAC - not found

-- Found Qt4: /usr/bin/qmake-qt4 (found suitable version "4.8.5", minimum required is "4.5.0") 

-- Touch support disabled

-- Found QScintilla2: /usr/lib64/libqscintilla2.so (2.7.2)

-- Pedantic compiler settings enabled

-- Found PythonInterp: /usr/bin/python2 (found version "2.7.5") 

-- Found Python executable: /usr/bin/python2

-- Found Python version: 2.7.5

-- Found Python library: /usr/lib/libpython2.7.so

-- Found SIP version: 4.15.3

-- Found PyQt4 version: 4.10.3

-- Found QScintilla2 PyQt4 module: 2.7.2

-- Found GSL: -L/usr/lib -lgsl -lgslcblas -lm

-- Found FCGI: /usr/lib64/libfcgi.so

-- Configuring done

-- Generating done

-- Build files have been written to: /tmp/makepkg/qgis/src/build

Here's the compilation error.

Scanning dependencies of target python_module_qgis_gui

[ 98%] [ 98%] [100%] [100%] Building CXX object python/CMakeFiles/python_module_qgis_gui.dir/gui/sipguipart0.cpp.o

Building CXX object python/CMakeFiles/python_module_qgis_gui.dir/gui/sipguipart1.cpp.o

Building CXX object python/CMakeFiles/python_module_qgis_gui.dir/gui/sipguipart2.cpp.o

Building CXX object python/CMakeFiles/python_module_qgis_gui.dir/gui/sipguipart3.cpp.o

/usr/share/sip/QtGui/qsyntaxhighlighter.sip: In function ‘PyObject*

meth_QgsExpressionHighlighter_setCurrentBlockUserData(PyObject*, PyObject*, PyObject*)’:

/usr/share/sip/QtGui/qsyntaxhighlighter.sip:78:93: error: ‘qtgui_wrap_ancestors’ was not declared in this scope

             PyObject *py_td = qtgui_wrap_ancestors(td, sipType_QTextDocument);

                                                                                             ^

python/CMakeFiles/python_module_qgis_gui.dir/build.make:443: recipe for target

'python/CMakeFiles/python_module_qgis_gui.dir/gui/sipguipart3.cpp.o' failed

make[2]: *** [python/CMakeFiles/python_module_qgis_gui.dir/gui/sipguipart3.cpp.o] Error 1

CMakeFiles/Makefile2:3099: recipe for target 'python/CMakeFiles/python_module_qgis_gui.dir/all' failed

make[1]: *** [python/CMakeFiles/python_module_qgis_gui.dir/all] Error 2

Makefile:136: recipe for target 'all' failed

make: *** [all] Error 2

==> ERROR: A failure occurred in build().

    Aborting...
History

#1 - 2013-11-08 11:33 AM - Donovan Cameron

QGIS master compiles OK, here's the successful config it used on the same Arch Linux x86_64 system.

==> Starting build()...

==> Connecting to GIT server....

Cloning into 'qgis'...

remote: Counting objects: 8525, done.

remote: Compressing objects: 100% (6649/6649), done.

remote: Total 8525 (delta 2977), reused 5515 (delta 1830)

Receiving objects: 100% (8525/8525), 36.72 MiB | 791.00 KiB/s, done.

Resolving deltas: 100% (2977/2977), done.

Checking connectivity... done

Checking out files: 100% (8430/8430), done.

==> Applying source fixes...

-- The C compiler identification is GNU 4.8.2

-- The CXX compiler identification is GNU 4.8.2

-- Check for working C compiler: /usr/local/bin/cc

-- Check for working C compiler: /usr/local/bin/cc -- works

-- Detecting C compiler ABI info

-- Detecting C compiler ABI info - done

-- Check for working CXX compiler: /usr/local/bin/g++

-- Check for working CXX compiler: /usr/local/bin/g++ -- works

-- Detecting CXX compiler ABI info

-- Detecting CXX compiler ABI info - done

-- QGIS version: 2.1.0 Master (20100)

-- Found GRASS: /opt/grass (6.4.3)

-- Looking for openpty

-- Looking for openpty - not found

-- Looking for openpty

-- Looking for openpty - found

-- Found Proj: /usr/lib64/libproj.so

-- Found GEOS: /usr/lib/libgeos_c.so

-- Found GDAL: /usr/lib/libgdal.so (1.10.1)

-- Found Expat: /lib64/libexpat.so

-- Found Spatialindex: /usr/lib64/libspatialindex.so

-- Found Qwt: /usr/lib64/libqwt.so (6.0.2)

-- Found Sqlite3: /usr/lib64/libsqlite3.so

-- Found PostgreSQL: /usr/lib/libpq.so

-- Found SpatiaLite: /usr/lib64/libspatialite.so

-- Looking for gaiaDropTable in /usr/lib64/libspatialite.so

-- Looking for gaiaDropTable in /usr/lib64/libspatialite.so - found

-- Looking for Q_WS_X11

-- Looking for Q_WS_X11 - found

-- Looking for Q_WS_WIN

-- Looking for Q_WS_WIN - not found

-- Looking for Q_WS_QWS

-- Looking for Q_WS_QWS - not found

-- Looking for Q_WS_MAC

-- Looking for Q_WS_MAC - not found

-- Found Qt4: /usr/bin/qmake-qt4 (found suitable version "4.8.5", minimum required is "4.5.0") 

-- Touch support disabled
-- Found QScintilla2: /usr/lib64/libqscintilla2.so (2.7.2)

-- Pedantic compiler settings enabled

-- Found PythonInterp: /usr/bin/python2 (found version "2.7.5") 

-- Found SIP version: 4.15.3

-- Found PyQt4 version: 4.10.3

-- Found QScintilla2 PyQt4 module: 2.7.2

-- Found GSL: -L/usr/lib -lgsl -lgslcblas -lm

CMake Warning (dev) at tests/src/python/CMakeLists.txt:1 (INCLUDE):

  Syntax Warning in cmake code at

    /tmp/makepkg/qgis-git/src/qgis/cmake/UsePythonTest.cmake:60:12

  Argument not separated from preceding token by whitespace.

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at tests/src/python/CMakeLists.txt:1 (INCLUDE):

  Syntax Warning in cmake code at

    /tmp/makepkg/qgis-git/src/qgis/cmake/UsePythonTest.cmake:60:29

  Argument not separated from preceding token by whitespace.

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at tests/src/python/CMakeLists.txt:1 (INCLUDE):

  Syntax Warning in cmake code at

    /tmp/makepkg/qgis-git/src/qgis/cmake/UsePythonTest.cmake:63:23

  Argument not separated from preceding token by whitespace.

This warning is for project developers.  Use -Wno-dev to suppress it.

CMake Warning (dev) at tests/src/python/CMakeLists.txt:1 (INCLUDE):

  Syntax Warning in cmake code at

    /tmp/makepkg/qgis-git/src/qgis/cmake/UsePythonTest.cmake:63:37

  Argument not separated from preceding token by whitespace.

This warning is for project developers.  Use -Wno-dev to suppress it.

-- Ctest Binary Directory  set to: /tmp/makepkg/qgis-git/src/qgis-build/output/bin

-- Configuring done

-- Generating done

-- Build files have been written to: /tmp/makepkg/qgis-git/src/qgis-build

#2 - 2013-11-11 08:08 PM - Donovan Cameron

- Status changed from Open to Closed

closed as duplicate of #8507
#3 - 2013-11-11 11:41 PM - Jürgen Fischer

- Resolution set to duplicate
